<template>
  <div class="main-home">

    <div class="part-1">

      <div class="part-1-left">

        <div class="flex flex-row">
          <div>
            <img
              src="../assets/logo.svg"
              alt="adacraft logo"
              width="120"
              class="mr-10"
            >
          </div>
          <div>
            <div class="part-1-left-title">
              {{ $t('home.createStuff') }}
            </div>
            <div class="part-1-left-name">
              adacraft
            </div>
          </div>
        </div>

        <div class="part-1-left-desc">
          <p class="mt-2">
            {{ $t('home.abstract.start') }}
            <a
              href="https://scratch.mit.edu/"
              target="_blank"
              rel="noopener noreferrer"
              class="ada-link"
            >Scratch</a>.
          </p>
          <p class="mt-6">
            <span class="adacraft">adacraft</span> 
            {{ $t('home.abstract.end') }}
          </p>
        </div>
        <div
          v-if="!userIsLoggedIn"
          class="part-1-left-not-logged"
        >
          <router-link to="/signup" class="ml-5">
            <button
              class="ada-button text-xl"
              type="button"
              title="Sign up to adacraft so you can save and share your projects"
            >
              {{ $t('home.signup') }}
            </button>
          </router-link>
        </div>
      </div>

      <div class="part-1-right h-80.5">
        <div class="ml-10 pt-16">
          <img width="300" src="../assets/example_project_blocks.png">
        </div>
        <div class="pl-4 mt-16 bg-white">
          <img width="300" src="../assets/example_project_canvas.png">
        </div>
      </div>
      

    </div>

    <div class="part-1-examples">
        <div class="part-1-examples-link">
          <router-link to="/projects" class="ml-5">
            <button
              class="ada-button text-xl"
              type="button"
              title="See some examples of what can be created with adacraft"
            >
              {{ $t('home.browse') }}            
            </button>
          </router-link>
        </div>
    </div>

    <HorizontalLine/>

    <div class="mx-auto">
        <ShowcaseProjects />
    </div>

  </div>
</template>

<script>
import HorizontalLine from './HorizontalLine.vue'
import ShowcaseProjects from './ShowcaseProjects.vue'
import { adacraftStorageUrl } from '../config'
import { useSession } from '../store'

export default {
  name: 'ThePageHome',
  components: {
    HorizontalLine,
    ShowcaseProjects
  },
  methods: {
    getProjectImageSrc (uid) {
      return `${adacraftStorageUrl}/projects/${uid}.png`
    },
    getAssetUrl (assetSubPath) {
      return require(`@/assets/${assetSubPath}`)
    }
  },
  setup () {
    const { userIsLoggedIn } = useSession()
    return { userIsLoggedIn }
  }
}
</script>

<style lang="postcss" scoped>
.main-home {
  @apply flex flex-col items-center p-12;
}

.part-1 {
  @apply max-w-5xl;
  @apply flex flex-col md:flex-row content-center;
}

.part-1-left {
  @apply md:w-1/2 max-w-md;
  @apply flex flex-col justify-center;
}

.part-1-left-title {
  @apply font-ada;
  @apply md:text-3xl text-xl;
  @apply text-gray-600;
  @apply dark:text-gray-400;
}

.part-1-left-name {
  @apply md:text-5xl text-2xl;
  @apply font-ada;
  @apply font-black;
  @apply dark:text-gray-200;
}

.part-1-left-desc {
  @apply mt-4;
  @apply text-xl text-gray-700;
  @apply dark:text-gray-400;
}

.adacraft {
  @apply font-ada;
}

.part-1-left-not-logged {
  @apply mx-5 h-16;
  @apply text-right;
}

.part-1-right {
  @apply flex;
}

.part-1-examples {
  @apply m-20 space-x-16;
  @apply flex justify-center;
}

.part-1-examples-link {
  @apply mx-5 h-16;
}

.part-2 {
  @apply max-w-4xl;
  @apply m-20 space-x-16;
  @apply flex justify-center;
}

.part-2-header {
  @apply mb-2;
  @apply flex flex-row justify-center;
  @apply text-4xl text-gray-500;
  @apply dark:text-gray-300;
}

.part-2-desc {
  @apply p-10;
  @apply bg-white;
  @apply dark:bg-gray-800;
  @apply text-xl text-gray-700;
  @apply dark:text-gray-400;
}

.part-3 {
  @apply max-w-5xl;
  @apply flex flex-col;
}

.part-3-header {
  @apply m-20;
  @apply flex justify-center;
  @apply text-4xl text-gray-500;
  @apply dark:text-gray-300;
}

.part-3-layout {
  @apply flex md:justify-end;
  @apply w-full md:w-1/2 -mt-5 mx-10;
}

.part-3-card {
  @apply max-w-md mt-6 pb-1;
  @apply rounded-b;
  @apply shadow-2xl;
  @apply dark:shadow-gray-500 dark:shadow-md;
}

.part-3-credits {
  @apply mx-2;
  @apply text-right text-gray-500 text-sm;
}

.part-3-card-header {
  @apply px-10 pt-10;
  @apply text-2xl font-semibold text-gray-900;
  @apply dark:text-gray-300;
}

.part-3-card-desc {
  @apply p-10;
  @apply bg-white;
  @apply dark:bg-gray-800;
  @apply text-xl text-gray-700;
  @apply dark:text-gray-400;
}

.part-4 {
  @apply mt-10 p-10;
  @apply flex flex-col md:flex-row;
}

.part-4-layout {
  @apply md:w-1/2 max-w-md ml-20;
}

.part-4-header {
  @apply py-5;
  @apply text-2xl font-semibold text-gray-900;
  @apply dark:text-gray-300;
}

.part-4-title {
  @apply mb-2;
  @apply text-gray-600;
  @apply dark:text-gray-400;
}

</style>
